diff --git a/cardengine_arm9/source/cardEngine.c b/cardengine_arm9/source/cardEngine.c
index dcae9c911..14dca851a 100644
--- a/cardengine_arm9/source/cardEngine.c
+++ b/cardengine_arm9/source/cardEngine.c
@@ -198,7 +198,6 @@ void waitForArm7() {
 }
 
 int cardRead (u32* cacheStruct) {
-	REG_IME = IME_DISABLE;
 	//nocashMessage("\narm9 cardRead\n");
 
 	u8* cacheBuffer = (u8*)(cacheStruct + 8);
@@ -886,7 +885,6 @@ int cardRead (u32* cacheStruct) {
 			}
 		}
 	}
-	REG_IME = IME_ENABLE;
 	return 0;
 }
 
